﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;

namespace OrphanConnectionTest
{
  public partial class EventstoreConnection : ServiceBase
  {
    private EventStore _store;
    public EventstoreConnection()
    {
      InitializeComponent();
    }

    protected override async void OnStart(string[] args)
    { 
      try
      {
        _store = new EventStore();
        await _store.Connect();
        string groupName = "Orphan";
        string[] streamNames = { "stream1", "stream2", "stream3", "stream4", "stream5", "stream6", "stream7", "stream8", "stream9", "stream10", "stream11" };
        foreach (string streamName in streamNames)
          await _store.UpsertAndSubscribeToPersistentSubscriptionAsync(streamName, groupName);
      }
      catch (Exception e)
      {
        Logger.Log(e);
      }
    }

    protected override void OnStop()
    {
      try
      {
        if (_store != null) _store.Disconnect();
      }
      catch(Exception e)
      {
        Logger.Log(e);
      }
    }
  }
}
