﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace OrphanConnectionTest
{
  class Logger
  {
    private static object _lock = new object();
    private static string PATH = Path.GetDirectoryName(System.Diagnostics.Process.GetCurrentProcess().MainModule.FileName);
    public static void Log(string message)
    {
      Log(message, null);
    }

    public static void Log(string message, Exception e)
    {
      try
      {
        lock (_lock)
        {

          using (var sw = File.AppendText(Path.Combine(PATH, $"log{DateTime.Now.ToShortDateString().Replace("/", "")}.txt")))
          {
            sw.WriteLine(DateTime.UtcNow.ToString() + " : " + message);
          }
        }
      }
      catch { }
    }

    public static void Log(Exception e)
    {
      Log(null, e);
    }
  }
}
